commit:     63167f97c5414ec8295c234ccc8724031e217d45
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 18 03:27:59 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Aug 18 03:30:21 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=63167f97

dev-python/simsimd: Bump to 6.5.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/simsimd/Manifest             |  1 +
 dev-python/simsimd/simsimd-6.5.1.ebuild | 70 +++++++++++++++++++++++++++++++++
 2 files changed, 71 insertions(+)

diff --git a/dev-python/simsimd/Manifest b/dev-python/simsimd/Manifest
index 9711914dbf51..ac06423f13c8 100644
--- a/dev-python/simsimd/Manifest
+++ b/dev-python/simsimd/Manifest
@@ -1,2 +1,3 @@
 DIST SimSIMD-6.4.10.gh.tar.gz 223524 BLAKE2B 
d0a9940883e618fdc6b7097996c755b6cfa9719ccf3cee52b2e2d96db839cdb6b5930f0a94b08b5a44c2bad8bf716229fddf99b43e045155d357ab26e4f6630f
 SHA512 
039e62da33abd0a2b36548c3e64af528a7d2b75d34cbb45c32ba8408d79692f11e73600e7c9e5464b28b51d271a26a02a0e3e086583055b5c298db51b7421c07
 DIST SimSIMD-6.5.0.gh.tar.gz 225878 BLAKE2B 
8acc1d7ac540c0a5056a48bd1e1c7093737fdab6121e7bf5c09ec5c15af5d10b21581a18ca6cd4cc905a1dd5021d932234a0d8d7ba126d621d565a9c6148146d
 SHA512 
d745782051250acd2e43bb6d35ee6c9e62b93d7f59ba58ac716715f638489d9c5f7f762381023a69f975eaa22ea239fb5b7bee2a73cdf91cf5d9112eee8d2c76
+DIST SimSIMD-6.5.1.gh.tar.gz 225914 BLAKE2B 
f093f6c4cbd42d4c5c1e6c995a269d2fd0832cd754d1c6e897d8ba76e58d3cafd91b64227d70a511fb652d127a1b52c165345aca250c2d45f57257611964c865
 SHA512 
0003651b577b48205e581e99390c5969d38ad25e6264b505b43122e8480cf4834c1b24129c28793c3df8afbdf38fee63e3eefb6a8bfb9071d7808961438193d5

diff --git a/dev-python/simsimd/simsimd-6.5.1.ebuild 
b/dev-python/simsimd/simsimd-6.5.1.ebuild
new file mode 100644
index 000000000000..1bb6fa4ca30b
--- /dev/null
+++ b/dev-python/simsimd/simsimd-6.5.1.ebuild
@@ -0,0 +1,70 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3_11 python3_{11..14} )
+
+inherit distutils-r1 toolchain-funcs
+
+MY_P=SimSIMD-${PV}
+DESCRIPTION="Fastest SIMD-Accelerated Vector Similarity Functions for x86 and 
Arm"
+HOMEPAGE="
+       https://github.com/ashvardanian/SimSIMD/
+       https://pypi.org/project/simsimd/
+"
+# no sdist, as of 4.3.1
+# https://github.com/ashvardanian/SimSIMD/issues/113
+SRC_URI="
+       https://github.com/ashvardanian/SimSIMD/archive/v${PV}.tar.gz
+               -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="openmp"
+
+BDEPEND="
+       test? (
+               dev-python/tabulate[${PYTHON_USEDEP}]
+       )
+"
+
+EPYTEST_PLUGINS=( pytest-repeat )
+distutils_enable_tests pytest
+
+pkg_pretend() {
+       if [[ ${MERGE_TYPE} != binary ]] && use openmp; then
+               tc-check-openmp
+       fi
+}
+
+pkg_setup() {
+       if [[ ${MERGE_TYPE} != binary ]] && use openmp; then
+               tc-check-openmp
+       fi
+}
+
+src_prepare() {
+       sed -i -e '/-O3/d' setup.py || die
+       if ! use openmp; then
+               sed -i -e '/-fopenmp/d' setup.py || die
+       fi
+
+       distutils-r1_src_prepare
+}
+
+src_compile() {
+       einfo "Please disregard initial compiler errors -- the package is 
checking"
+       einfo "for target support."
+
+       distutils-r1_src_compile
+}
+
+python_test() {
+       epytest scripts/test.py
+}

Reply via email to